ARG terraform_version=UNSPECIFIED

FROM "hashicorp/terraform:${terraform_version}"
# ENV PATH="/root/.tfenv/bin:$PATH"

RUN apk add	\ 
	py3-pip \
	make \
	curl \
	jq \
	bash

#RUN git clone https://github.com/tfutils/tfenv.git ~/.tfenv 

RUN ln -s /usr/bin/python3 /usr/bin/python

RUN pip3 install \
	pymongo \
	pymongo[srv] \
	bson \
	boto3 \
	awscli

#RUN tfenv install latest && tfenv use latest

ENTRYPOINT [ "" ]
